<html>
<head>
<title>Ogre::CompositionTechnique::TextureDefinition Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositionTechnique::TextureDefinition Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositionTechnique::TextureDefinition" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Local texture definition.  
 <a href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::CompositionTechnique::TextureDefinition:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1CompositionTechnique_1_1TextureDefinition__inherit__graph.gif" border="0" usemap="#Ogre_1_1CompositionTechnique_1_1TextureDefinition_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1CompositionTechnique_1_1TextureDefinition_inherit__map" id="Ogre_1_1CompositionTechnique_1_1TextureDefinition_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="85,5,224,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1CompositionTechnique_1_1TextureDefinition-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a7e371a5590972522e7f8024295bb8a59">TextureDefinition</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a23d1b9553769ca1f4e47175a567fcf0c">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#ae59f6efc2a9d0bc5cf539c647351848d">refCompName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a438d2780a5dfe0ac83309b0b9e7dde96">refTexName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#aa539594db7744f2fb7ddb4ffb6a052e4">width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a711800ff7a4a331a01f05061c4e7950d">height</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a5c71286e9daa688d6028deb524c15ddc">widthFactor</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a99163323a7ab7d6b661f538b17c8f97b">heightFactor</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#ga7267e8cb21c010de075e82ffbc6a572b">PixelFormatList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#acdc503bc2adeee31d32988c6c994c0d6">formatList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a52fb27a3ee9bccc4e4cc4bd5d5b2e3fb">fsaa</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a07a1f192baf1bb43445dd40bbbaef114">hwGammaWrite</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#aa9c8a54bdaa418233c6f10c3a8a2eb98">depthBufferId</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a90341172974dbdea53d010c4d5aa90da">pooled</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1e">TextureScope</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a8826739f93ea3bb356c4a1bb5b5b008c">scope</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Local texture definition. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00061">61</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7e371a5590972522e7f8024295bb8a59"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::TextureDefinition" ref="a7e371a5590972522e7f8024295bb8a59" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a7e371a5590972522e7f8024295bb8a59">Ogre::CompositionTechnique::TextureDefinition::TextureDefinition</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00079">79</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa9c8a54bdaa418233c6f10c3a8a2eb98"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::depthBufferId" ref="aa9c8a54bdaa418233c6f10c3a8a2eb98" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#aa9c8a54bdaa418233c6f10c3a8a2eb98">Ogre::CompositionTechnique::TextureDefinition::depthBufferId</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00075">75</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="acdc503bc2adeee31d32988c6c994c0d6"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::formatList" ref="acdc503bc2adeee31d32988c6c994c0d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#ga7267e8cb21c010de075e82ffbc6a572b">PixelFormatList</a> <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#acdc503bc2adeee31d32988c6c994c0d6">Ogre::CompositionTechnique::TextureDefinition::formatList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00072">72</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a52fb27a3ee9bccc4e4cc4bd5d5b2e3fb"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::fsaa" ref="a52fb27a3ee9bccc4e4cc4bd5d5b2e3fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a52fb27a3ee9bccc4e4cc4bd5d5b2e3fb">Ogre::CompositionTechnique::TextureDefinition::fsaa</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00073">73</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a711800ff7a4a331a01f05061c4e7950d"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::height" ref="a711800ff7a4a331a01f05061c4e7950d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a711800ff7a4a331a01f05061c4e7950d">Ogre::CompositionTechnique::TextureDefinition::height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00069">69</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a99163323a7ab7d6b661f538b17c8f97b"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::heightFactor" ref="a99163323a7ab7d6b661f538b17c8f97b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a99163323a7ab7d6b661f538b17c8f97b">Ogre::CompositionTechnique::TextureDefinition::heightFactor</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00071">71</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a07a1f192baf1bb43445dd40bbbaef114"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::hwGammaWrite" ref="a07a1f192baf1bb43445dd40bbbaef114" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a07a1f192baf1bb43445dd40bbbaef114">Ogre::CompositionTechnique::TextureDefinition::hwGammaWrite</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00074">74</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a23d1b9553769ca1f4e47175a567fcf0c"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::name" ref="a23d1b9553769ca1f4e47175a567fcf0c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a23d1b9553769ca1f4e47175a567fcf0c">Ogre::CompositionTechnique::TextureDefinition::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00064">64</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a90341172974dbdea53d010c4d5aa90da"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::pooled" ref="a90341172974dbdea53d010c4d5aa90da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a90341172974dbdea53d010c4d5aa90da">Ogre::CompositionTechnique::TextureDefinition::pooled</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00076">76</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae59f6efc2a9d0bc5cf539c647351848d"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::refCompName" ref="ae59f6efc2a9d0bc5cf539c647351848d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#ae59f6efc2a9d0bc5cf539c647351848d">Ogre::CompositionTechnique::TextureDefinition::refCompName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00066">66</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a438d2780a5dfe0ac83309b0b9e7dde96"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::refTexName" ref="a438d2780a5dfe0ac83309b0b9e7dde96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a438d2780a5dfe0ac83309b0b9e7dde96">Ogre::CompositionTechnique::TextureDefinition::refTexName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00067">67</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8826739f93ea3bb356c4a1bb5b5b008c"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::scope" ref="a8826739f93ea3bb356c4a1bb5b5b008c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1e">TextureScope</a> <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a8826739f93ea3bb356c4a1bb5b5b008c">Ogre::CompositionTechnique::TextureDefinition::scope</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00077">77</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa539594db7744f2fb7ddb4ffb6a052e4"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::width" ref="aa539594db7744f2fb7ddb4ffb6a052e4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#aa539594db7744f2fb7ddb4ffb6a052e4">Ogre::CompositionTechnique::TextureDefinition::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00068">68</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5c71286e9daa688d6028deb524c15ddc"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::widthFactor" ref="a5c71286e9daa688d6028deb524c15ddc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a5c71286e9daa688d6028deb524c15ddc">Ogre::CompositionTechnique::TextureDefinition::widthFactor</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00070">70</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
